#include "BlindAndDeafenRangedExplosiveActorEffect.h"

class AActor;
class ADBDPlayer;
class UAudioFXComponent;
class UBlindableBaseComponent;

float UBlindAndDeafenRangedExplosiveActorEffect::GetDeafnessEffectDuration(const AActor* player) const
{
	return 0.0f;
}

float UBlindAndDeafenRangedExplosiveActorEffect::GetBlindnessEffectDuration(const AActor* player) const
{
	return 0.0f;
}

bool UBlindAndDeafenRangedExplosiveActorEffect::Authority_TryToDeafen(const ADBDPlayer* player, UAudioFXComponent* audioFXComponent) const
{
	return false;
}

bool UBlindAndDeafenRangedExplosiveActorEffect::Authority_TryToBlind(UBlindableBaseComponent* blindableComponent, AActor* effectorActor) const
{
	return false;
}

UBlindAndDeafenRangedExplosiveActorEffect::UBlindAndDeafenRangedExplosiveActorEffect()
{

}
